Loading...
Searching...
No Matches
binary_compose< _Operation1, _Operation2, _Operation3 >

## Detailed Description

template<class _Operation1, class _Operation2, class _Operation3>
class rheolef::binary_compose< _Operation1, _Operation2, _Operation3 >

Definition at line 48 of file functional_sgi_ext.h.

Inheritance diagram for binary_compose< _Operation1, _Operation2, _Operation3 >:

## Public Member Functions

| binary_compose (const _Operation1 &__x, const _Operation2 &__y, const _Operation3 &__z)
_Operation1::result_type | operator() (const typename _Operation2::argument_type &__x) const

## Protected Attributes

_Operation1 | _M_fn1
_Operation2 | _M_fn2
_Operation3 | _M_fn3

## Constructor & Destructor Documentation

## binary_compose()

template<class _Operation1, class _Operation2, class _Operation3>

binary_compose | ( | const _Operation1 & | __x,
|  | const _Operation2 & | __y,
|  | const _Operation3 & | __z )

Definition at line 58 of file functional_sgi_ext.h.

## Member Function Documentation

## operator()()

template<class _Operation1, class _Operation2, class _Operation3>

_Operation1::result_type operator() | ( | const typename _Operation2::argument_type & | __x | ) | const

Definition at line 63 of file functional_sgi_ext.h.

## Member Data Documentation

## _M_fn1

template<class _Operation1, class _Operation2, class _Operation3>

_Operation1 _M_fn1

protected

Definition at line 53 of file functional_sgi_ext.h.

## _M_fn2

template<class _Operation1, class _Operation2, class _Operation3>

_Operation2 _M_fn2

protected

Definition at line 54 of file functional_sgi_ext.h.

## _M_fn3

template<class _Operation1, class _Operation2, class _Operation3>

_Operation3 _M_fn3

protected

Definition at line 55 of file functional_sgi_ext.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/functional_sgi_ext.h